Bug 7399 - Holds Queue should show reserve notes
Summary: Holds Queue should show reserve notes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ian Walls
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-03 16:58 UTC by Ian Walls
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.86 KB, patch)
2012-01-03 17:06 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7399: Holds Queue should show reserve notes (1.93 KB, patch)
2012-01-03 19:48 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2012-01-03 16:58:31 UTC
While the notes from the hold request are processed into the tmp_holdsqueue table by misc/cronjobs/holds/build_holds_queue.pl, they are not displayed in the staff client interface.  If staff have gone through the trouble of adding notes, it would be valuable to display them here.
Comment 1 Ian Walls 2012-01-03 17:06:20 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-01-03 19:48:27 UTC
Created attachment 7032 [details] [review]
[SIGNED-OFF] Bug 7399: Holds Queue should show reserve notes

The notes for a specific hold, if they existed, were being added to the tmp_holdsqueue
table by build_holds_queue.pl, but they were not displayed anywhere, which seems a waste.

This patch adds the Notes column to the far right of view_holdsqueue.pl.

To Test:

Place a hold with a note
Run build_holds_queue.pl to place it in the Holds Queue
View the Holds Queue; you should see the note on the far right of the table

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Paul Poulain 2012-01-17 16:49:19 UTC
QA comment: tiny patch, passed QA